Important ЧАВО (FAQ) по Nukkit

fromgate

Administrator
Windows 8.1. Запускаю с этого же компьютера. Как узнать адрес компьютера?
Как??? Minecraft Windwos 10 Edition - это ж только для Windows 10.

Узнать IP можно, написав в консоли ipconfig - выдаств перечень всех сетевых устройств на ПК с присвоенными им IP адресам. Или ищите в настройках сети.
 

alexskl21

Пользователь
То есть в 8.1 играть не получится? Мне нужно плагины разрабатывать, я хотел на этом сервере тестировать. Есть издания для 8.1?
 

fromgate

Administrator
Сервер запустить получится - главное чтобы Java 8 работала.

Я имел в виду, что Minecraft Windows 10 Edition на Windows 8 не заработает.
Или вы как-то умудрились запустить???
 

fromgate

Administrator
@Bogdan
А что Win 7 совсем не умеет UTF-8? Я уже не помню.
Но вообще предлагаю сменить ещё шрифт консоли. Я всегда использую Lucida Console и по моему ещё со времён XP проблем не было.
 

Gandalf

Пользователь
В консоли часто появляются сообщения вида

21:51:50 [WARNING] PlayOnHD некорректно передвинулся!
21:51:51 [WARNING] PlayOnHD некорректно передвинулся!
21:51:54 [WARNING] PlayOnHD некорректно передвинулся!
21:51:54 [WARNING] PlayOnHD некорректно передвинулся!

На стороне клиента это выражается в лагах при движении игроков.
Причем экспериментально удалось выяснить, что сообщения возникают исключительно в игровом режиме Выживание. В Творческом режиме таких сообщений не наблюдается.

С чем могут быть связаны подобные сообщения? Виновато ядро/плагины/что-то другое?
 

Gandalf

Пользователь
Путём тестов выяснилось, что проблема возникает при перемещении по ступенькам и полублокам.
В дебрях гитхаба нашёлся и соответствующий запрос, который, кстати, до сих пор даже не принят к рассмотрению, что огорчает.
https://github.com/Nukkit/Nukkit/issues/1126
 

Gandalf

Пользователь
"Хорошая" работа разработчиков ядра - тикет https://github.com/Nukkit/Nukkit/issues/1126 позавчера закрыли, проблема как была, так и осталась.:confused:
Если есть кто-то с доступом на гитхаб, откройте плиз заново тикет. Проблема же очень неприятная и мешает игрокам.
 

borisbulletdodger

Пользователь
проясните, пожалуйста, по версиям: текущая версия Nukkit поддерживает только Minecraft PE версии 1.0.9?
у меня сервер на debian 8 если это важно. все делал по инструкции выше (для debian). сужу по выводимой строке:
Сервер использует Nukkit 1.0dev「 蘋果(Apple)派(Pie)」 , версия API 1.0.0 для Minecraft: PE v1.0.9 (версия протокола 107)

пытался подключиться к серверу с планшета (установлен Minecraft PE 0.16.0.5) и получил сообщение:
02:35:53 [INFO] [/213.32.91.1:19132] отключился: Ваш клиент устарел!

было бы неплохо где-то в шапке указать с какой версией Minecraft PE совместим Nukkit.
 

fromgate

Administrator
Последние версии Nukkit совместимы с последними версиями Minecraft.
Естественно рассчитывать, что в версию для 1.0.9 можно будет играть используя версию прошлой редакции нельзя. А поскольку модель распространения игры такова, что у большинства игроков (легальных ;)) она обновляется автоматически, то разработчики стремятся к тому, чтобы обновления происходили оперативно.

Выпускать актуальные версии Nukkit для разных версий майнкрафта никто не будет, поэтому единственный вариант — это просматривать change log и искать момент, когда была изменена версия.

В ряде случаев (когда изменения протокола незначительны), можно воспользоваться плагином AnyVersion. Но он не даёт гарантии, что всё будет рабоать как надо и без ошибок.
 

Gandalf

Пользователь
Игорь, есть ли шанс поправить плагины, которые ты выкладывал тут, до актуальной версии API Nukkit (1.0.9) ?
 

fromgate

Administrator
Ну если что конкретно не работает - пишите в теме плагина. Я постараюсь исправить.
 

Gandalf

Пользователь
Дык отписал уже давно.
Интересуют в основном регионы.
 

borisbulletdodger

Пользователь
Последние версии Nukkit совместимы с последними версиями Minecraft.
...
1.0.9! ну конечно же! а я в упор смотрю и вижу в выводе сервера 0.9.0! и еще удивляюсь: как же так супер-пупер новый термоядерный Nukkit зациклился на поддержке такой старой версии Minecraft PE!
пардон в общем.
 

borisbulletdodger

Пользователь
а где можно найти предыдущие версии Nukkit'a? а то текущая падает при включенном плагине MobPlugin.
 
Top